(function(global){
	"use strict";
	var ytm3=function(){};
	
	ytm3.prototype={
		options:{
			vis_num:6,
			cur_num:0,
			per_width:300,
			all_page:false,
			ele:'#xx',
			orgin_w:0,
		},
		init:function(opts){
			var option=config(opts,this.options);			
			var _this=this;
			this.options=option;
			this.reData();
			$(window).resize(function(){
				_this.reData();
			});
			
		},
		reData:function(){
			var w=$(document).width();
			this.options['cur_num']=0;
			
			if(w<=1520 && w>1365)
			{
				this.options['vis_num']=this.options['vis_num']>1?this.options['vis_num']-1:this.options['vis_num'];
			}
			else if(w<=1365 && w>750)
			{
				this.options['vis_num']=this.options['vis_num']>2?this.options['vis_num']-2:this.options['vis_num'];
			}
			else if(w<=750 && w>520)
			{
				this.options['vis_num']=this.options['vis_num']>3?this.options['vis_num']-3:this.options['vis_num'];
			}
			else if(w<=520)
			{
				this.options['vis_num']=1;
			}
			
			
			
			var ele=$(this.options['ele']);
			
			var obj=ele.find(".ytm-ele").find(".ytm-boxs");
			//alert(ele.find(".ytm-ele").width());
			//cat-mains
			var base_w=$(".about-tabs").width()-100;
			
			this.options['per_width']=base_w/this.options['vis_num'];//
			
			ele.find(".ytm-ele").animate({'scrollLeft':'0px'},100);
			
			obj.width(obj.children(".item").length*this.options['per_width']);
			obj.css("min-width",base_w+"px");
			
			obj.children(".item").width(this.options['per_width']);
			
			
			
			var _this=this;
			
			//
			ele.find(".a-left-btn").click(function(){
				var i=_this.options['cur_num'];
				if(_this.options['cur_num']>0)
				{
					i--;
					ele.find(".ytm-ele").animate({'scrollLeft':(i*_this.options['per_width'])+'px'},100);
					
					_this.options['cur_num']=i;
					ele.next(".ytm-slides").children("span").eq(i).addClass("cur").siblings().removeClass("cur");
				}
			});
			
			//
			ele.find(".a-right-btn").click(function(){
				var i=_this.options['cur_num'];
				var j=obj.children(".item").length-_this.options['vis_num'];
				
				if(j>i)
				{
					i++;					
				}
				else{
					i=0;
				}
				
				ele.find(".ytm-ele").animate({'scrollLeft':(i*_this.options['per_width'])+'px'},100);
				_this.options['cur_num']=i;
				ele.next(".ytm-slides").children("span").eq(i).addClass("cur").siblings().removeClass("cur");
			});
			
			
		}
		
		
		
	};
	
	function config(opts,options)
	{
		if(!opts) return options;
		for(var key in opts)
		{
			if(!!opts[key])
			{
				options[key]=opts[key];
			}
		}
		
		return options;
		
	}
	
	global.ytm3 = ytm3;
	
}(this))

//cat-mains


